#!/usr/bin/python
# -*- coding: iso-8859-2 -*-
#
# Script: tk.send.sms.py
# Version: 0.1
# Date: 29/08/2005
# Works ONLY with python 2.4.1
# Copyright 2005 Rodion rodion7(at)o2.pl
# License: http://miracle7.info/bsd-license.txt
# 

from Tkinter import *

class Application(Frame):
    def __init__(self, master):
        Frame.__init__(self, master)
        self.grid()
        self.create_widgets()

    def create_widgets(self):
        self.sender_label = Label(self, text = "Nadawca: ")
        self.sender_label.grid(row = 0, column = 0, sticky = W)
        self.sender_entry = Entry(self)
        self.sender_entry.grid(row = 0, column = 1, sticky = W)
        
        self.spacer_label = Label(self, text = " ")
        self.spacer_label.grid(row = 1, column = 0, sticky = W)
        
        self.recipient_label = Label(self, text = "Odbiorca: ")
        self.recipient_label.grid(row = 2, column = 0,sticky = W)
        self.recipient_entry = Entry(self)
        self.recipient_entry.grid(row = 2, column = 1, sticky = W)

        self.spacer_label = Label(self, text = " ")
        self.spacer_label.grid(row = 3, column = 0, sticky = W)
        
        self.message_label = Label(self, text = "Tekst: ")
        self.message_label.grid(row = 4, column = 0, sticky = W)
        
        self.message_entry = Text(self, width = 40, height = 6, wrap = WORD)
        self.message_entry.grid(row = 4, column = 1, sticky = W)

        self.submit_button = Button(self, text = "Wyslij", command = self.reveal)
        self.submit_button.grid(row = 5, column = 1, sticky = E)
        
    def reveal(self):
        sender = self.sender_entry.get()
        recipient = self.recipient_entry.get()
        message = self.message_entry.get(1.0, END)
        #sendsms(sender, recipient, message)
        #import sys; sys.exit()
        
root = Tk()
root.title("Send SMS")
root.geometry("320x200")
app = Application(root)
root.mainloop()
